<?
$kmb = qw("SELECT * FROM nauka  WHERE strana='$re1[strana]'");
while($army = mysql_fetch_array($kmb)){
$time=time();$tim=$time-$army[time];
if($tim>0){
switch($army[nauka]){
case 1:
$q1='naukur';$d='Научный уровень';
break;
case 2:
$q1='naukmet';$d='Выплавка железа';
break;
case 3:
$q1='naukkam';$d='Добыча камня';
break;
case 4:
$q1='naukder';$d='Переработка древесины';
break;
case 5:
$q1='naukzer';$d='Выращивание зерна';
break;
case 6:
$q1='nauknef';$d='Нефтедобыча';
break;
case 7:
$q1='naukpri';$d='Прирост населения';
break;
case 8:
$q1='naukdem';$d='Демонтаж зданий';
break;
}
$a2="$d $army[pr]";
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$time','0','0','$a2')");
qw("UPDATE gos2 SET bot=bot+'$army[bot]' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET `$q1`='$army[pr]' WHERE strana='$re1[strana]'");
qw("DELETE FROM nauka WHERE id='$army[id]'");
header("Location:game.php?der=$key");
}
}
?>